Skip to main content
GET
/
scim
/
Users
List users
curl --request GET \
  --url https://eu.phrase.com/idm/scim/Users \
  --header 'Authorization: Bearer <token>'
{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "totalResults": 123,
  "startIndex": 123,
  "itemsPerPage": 123,
  "Resources": [
    {
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "id": "<string>",
      "externalId": "<string>",
      "userName": "<string>",
      "name": {
        "givenName": "<string>",
        "familyName": "<string>"
      },
      "emails": [
        {
          "value": "jsmith@example.com",
          "primary": true
        }
      ],
      "active": true,
      "locale": "<string>",
      "timezone": "<string>",
      "roles": [
        {
          "type": "phrase__platform",
          "value": "MEMBER"
        }
      ],
      "meta": {
        "resourceType": "User",
        "created": "2023-11-07T05:31:56Z",
        "lastModified": "2023-11-07T05:31:56Z",
        "location": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

SCIM access token issued via Phrase Platform organization settings. The Bearer token value must be configured in Phrase Platform SCIM section.

Query Parameters

filter
string

SCIM filter expression (RFC 7644 Section 3.4.2.2). Only the eq comparator is supported.

startIndex
integer
default:1

1-based index of the first result. Defaults to 1.

Required range: x >= 1
count
integer
default:100

Maximum number of results per page. Must be between 0 and 100.

Required range: 0 <= x <= 100

Response

Users returned successfully

SCIM list response envelope (urn:ietf:params:scim:api:messages:2.0:ListResponse)

schemas
string[]
Example:
[
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
]
totalResults
integer

Total number of matching results across all pages

startIndex
integer

1-based index of the first result in this response

itemsPerPage
integer

Number of results returned in this response

Resources
object[]

List of user resources